## qmail 1.02

=== Makefile ===
# Don't edit Makefile! Use conf-* for configuration.

SHELL=/bin/sh

default: it

addresses.0: \
addresses.5
	nroff -man addresses.5 > addresses.0

alloc.a: \
makelib alloc.o alloc_re.o
	./makelib alloc.a alloc.o alloc_re.o

alloc.o: \
compile alloc.c alloc.h error.h
	./compile alloc.c

alloc_re.o: \
compile alloc_re.c alloc.h byte.h
	./compile alloc_re.c

auto-ccld.sh: \
conf-cc conf-ld warn-auto.sh
	( cat warn-auto.sh; \
	echo CC=\'`head -1 conf-cc`\'; \
	echo LD=\'`head -1 conf-ld`\' \
	) > auto-ccld.sh

auto-gid: \
load auto-gid.o substdio.a error.a str.a fs.a
	./load auto-gid substdio.a error.a str.a fs.a 

auto-gid.o: \
compile auto-gid.c subfd.h substdio.h substdio.h readwrite.h exit.h \
scan.h fmt.h
	./compile auto-gid.c

auto-int: \
load auto-int.o substdio.a error.a str.a fs.a
	./load auto-int substdio.a error.a str.a fs.a 

auto-int.o: \
compile auto-int.c substdio.h readwrite.h exit.h scan.h fmt.h
	./compile auto-int.c

auto-int8: \
load auto-int8.o substdio.a error.a str.a fs.a
	./load auto-int8 substdio.a error.a str.a fs.a 

auto-int8.o: \
compile auto-int8.c substdio.h readwrite.h exit.h scan.h fmt.h
	./compile auto-int8.c

auto-str: \
load auto-str.o substdio.a error.a str.a
	./load auto-str substdio.a error.a str.a 

auto-str.o: \
compile auto-str.c substdio.h readwrite.h exit.h
	./compile auto-str.c

auto-uid: \
load auto-uid.o substdio.a error.a str.a fs.a
	./load auto-uid substdio.a error.a str.a fs.a 

auto-uid.o: \
compile auto-uid.c subfd.h substdio.h substdio.h readwrite.h exit.h \
scan.h fmt.h
	./compile auto-uid.c

auto_break.c: \
auto-str conf-break
	./auto-str auto_break \
	"`head -1 conf-break`" > auto_break.c

auto_break.o: \
compile auto_break.c
	./compile auto_break.c

auto_patrn.c: \
auto-int8 conf-patrn
	./auto-int8 auto_patrn `head -1 conf-patrn` > auto_patrn.c

auto_patrn.o: \
compile auto_patrn.c
	./compile auto_patrn.c

auto_qmail.c: \
auto-str conf-qmail
	./auto-str auto_qmail `head -1 conf-qmail` > auto_qmail.c

auto_qmail.o: \
compile auto_qmail.c
	./compile auto_qmail.c

auto_spawn.c: \
auto-int conf-spawn
	./auto-int auto_spawn `head -1 conf-spawn` > auto_spawn.c

auto_spawn.o: \
compile auto_spawn.c
	./compile auto_spawn.c

auto_split.c: \
auto-int conf-split
	./auto-int auto_split `head -1 conf-split` > auto_split.c

auto_split.o: \
compile auto_split.c
	./compile auto_split.c

auto_uids.c: \
auto-uid auto-gid conf-users conf-groups
	( ./auto-uid auto_uida `head -1 conf-users` \
	&&./auto-uid auto_uidd `head -2 conf-users | tail -1` \
	&&./auto-uid auto_uidl `head -3 conf-users | tail -1` \
	&&./auto-uid auto_uido `head -4 conf-users | tail -1` \
	&&./auto-uid auto_uidp `head -5 conf-users | tail -1` \
	&&./auto-uid auto_uidq `head -6 conf-users | tail -1` \
	&&./auto-uid auto_uidr `head -7 conf-users | tail -1` \
	&&./auto-uid auto_uids `head -8 conf-users | tail -1` \
	&&./auto-gid auto_gidq `head -1 conf-groups` \
	&&./auto-gid auto_gidn `head -2 conf-groups | tail -1` \
	) > auto_uids.c.tmp && mv auto_uids.c.tmp auto_uids.c

auto_uids.o: \
compile auto_uids.c
	./compile auto_uids.c

auto_usera.c: \
auto-str conf-users
	./auto-str auto_usera `head -1 conf-users` > auto_usera.c

auto_usera.o: \
compile auto_usera.c
	./compile auto_usera.c

binm1: \
binm1.sh conf-qmail
	cat binm1.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	> binm1
	chmod 755 binm1

binm1+df: \
binm1+df.sh conf-qmail
	cat binm1+df.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	> binm1+df
	chmod 755 binm1+df

binm2: \
binm2.sh conf-qmail
	cat binm2.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	> binm2
	chmod 755 binm2

binm2+df: \
binm2+df.sh conf-qmail
	cat binm2+df.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	> binm2+df
	chmod 755 binm2+df

binm3: \
binm3.sh conf-qmail
	cat binm3.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	> binm3
	chmod 755 binm3

binm3+df: \
binm3+df.sh conf-qmail
	cat binm3+df.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	> binm3+df
	chmod 755 binm3+df

byte_chr.o: \
compile byte_chr.c byte.h
	./compile byte_chr.c

byte_copy.o: \
compile byte_copy.c byte.h
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h
	./compile byte_cr.c

byte_diff.o: \
compile byte_diff.c byte.h
	./compile byte_diff.c

byte_rchr.o: \
compile byte_rchr.c byte.h
	./compile byte_rchr.c

byte_zero.o: \
compile byte_zero.c byte.h
	./compile byte_zero.c

case.a: \
makelib case_diffb.o case_diffs.o case_lowerb.o case_lowers.o \
case_starts.o
	./makelib case.a case_diffb.o case_diffs.o case_lowerb.o \
	case_lowers.o case_starts.o

case_diffb.o: \
compile case_diffb.c case.h
	./compile case_diffb.c

case_diffs.o: \
compile case_diffs.c case.h
	./compile case_diffs.c

case_lowerb.o: \
compile case_lowerb.c case.h
	./compile case_lowerb.c

case_lowers.o: \
compile case_lowers.c case.h
	./compile case_lowers.c

case_starts.o: \
compile case_starts.c case.h
	./compile case_starts.c

cdb.a: \
makelib cdb_hash.o cdb_unpack.o cdb_seek.o
	./makelib cdb.a cdb_hash.o cdb_unpack.o cdb_seek.o

cdb_hash.o: \
compile cdb_hash.c cdb.h uint32.h
	./compile cdb_hash.c

cdb_seek.o: \
compile cdb_seek.c cdb.h uint32.h
	./compile cdb_seek.c

cdb_unpack.o: \
compile cdb_unpack.c cdb.h uint32.h
	./compile cdb_unpack.c

cdbmake.a: \
makelib cdbmake_pack.o cdbmake_hash.o cdbmake_add.o
	./makelib cdbmake.a cdbmake_pack.o cdbmake_hash.o \
	cdbmake_add.o

cdbmake_add.o: \
compile cdbmake_add.c cdbmake.h uint32.h
	./compile cdbmake_add.c

cdbmake_hash.o: \
compile cdbmake_hash.c cdbmake.h uint32.h
	./compile cdbmake_hash.c

cdbmake_pack.o: \
compile cdbmake_pack.c cdbmake.h uint32.h
	./compile cdbmake_pack.c

cdbmss.o: \
compile cdbmss.c readwrite.h seek.h alloc.h cdbmss.h cdbmake.h \
uint32.h substdio.h
	./compile cdbmss.c

check: \
it man conf-qmail
	./qmail-hier | ./instcheck `head -1 conf-qmail`

chkshsgr: \
load chkshsgr.o
	./load chkshsgr 

chkshsgr.o: \
compile chkshsgr.c exit.h
	./compile chkshsgr.c

chkspawn: \
load chkspawn.o substdio.a error.a str.a fs.a auto_spawn.o
	./load chkspawn substdio.a error.a str.a fs.a auto_spawn.o 

chkspawn.o: \
compile chkspawn.c substdio.h subfd.h substdio.h fmt.h select.h \
exit.h auto_spawn.h
	./compile chkspawn.c

clean: \
TARGETS
	rm -f `cat TARGETS`

coe.o: \
compile coe.c coe.h
	./compile coe.c

commands.o: \
compile commands.c commands.h substdio.h stralloc.h gen_alloc.h str.h \
case.h
	./compile commands.c

compile: \
make-compile warn-auto.sh systype
	( cat warn-auto.sh; ./make-compile "`cat systype`" ) > \
	compile
	chmod 755 compile

condredirect: \
load condredirect.o qmail.o strerr.a fd.a sig.a wait.a seek.a env.a \
substdio.a error.a str.a fs.a auto_qmail.o
	./load condredirect qmail.o strerr.a fd.a sig.a wait.a \
	seek.a env.a substdio.a error.a str.a fs.a auto_qmail.o 

condredirect.0: \
condredirect.1
	nroff -man condredirect.1 > condredirect.0

condredirect.o: \
compile condredirect.c sig.h readwrite.h exit.h env.h error.h fork.h \
wait.h seek.h qmail.h substdio.h strerr.h substdio.h fmt.h
	./compile condredirect.c

config: \
warn-auto.sh config.sh conf-qmail conf-break conf-split
	cat warn-auto.sh config.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}BREAK}"`head -1 conf-break`"}g \
	| sed s}SPLIT}"`head -1 conf-split`"}g \
	> config
	chmod 755 config

config-fast: \
warn-auto.sh config-fast.sh conf-qmail conf-break conf-split
	cat warn-auto.sh config-fast.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}BREAK}"`head -1 conf-break`"}g \
	| sed s}SPLIT}"`head -1 conf-split`"}g \
	> config-fast
	chmod 755 config-fast

constmap.o: \
compile constmap.c constmap.h alloc.h case.h
	./compile constmap.c

control.o: \
compile control.c readwrite.h open.h getln.h stralloc.h gen_alloc.h \
substdio.h error.h control.h alloc.h scan.h
	./compile control.c

date822fmt.o: \
compile date822fmt.c datetime.h fmt.h date822fmt.h
	./compile date822fmt.c

datemail: \
warn-auto.sh datemail.sh conf-qmail conf-break conf-split
	cat warn-auto.sh datemail.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}BREAK}"`head -1 conf-break`"}g \
	| sed s}SPLIT}"`head -1 conf-split`"}g \
	> datemail
	chmod 755 datemail

datetime.a: \
makelib datetime.o datetime_un.o
	./makelib datetime.a datetime.o datetime_un.o

datetime.o: \
compile datetime.c datetime.h
	./compile datetime.c

datetime_un.o: \
compile datetime_un.c datetime.h
	./compile datetime_un.c

direntry.h: \
compile trydrent.c direntry.h1 direntry.h2
	( ./compile trydrent.c >/dev/null 2>&1 \
	&& cat direntry.h2 || cat direntry.h1 ) > direntry.h
	rm -f trydrent.o

dns.lib: \
tryrsolv.c compile load socket.lib dns.o ipalloc.o ip.o stralloc.a \
alloc.a error.a fs.a str.a
	( ( ./compile tryrsolv.c && ./load tryrsolv dns.o \
	ipalloc.o ip.o stralloc.a alloc.a error.a fs.a str.a \
	-lresolv `cat socket.lib` ) >/dev/null 2>&1 \
	&& echo -lresolv || exit 0 ) > dns.lib
	rm -f tryrsolv.o tryrsolv

dns.o: \
compile dns.c ip.h ipalloc.h ip.h gen_alloc.h fmt.h alloc.h str.h \
stralloc.h gen_alloc.h dns.h case.h
	./compile dns.c

dnscname: \
load dnscname.o dns.o dnsdoe.o ip.o ipalloc.o stralloc.a alloc.a \
substdio.a error.a str.a fs.a dns.lib socket.lib
	./load dnscname dns.o dnsdoe.o ip.o ipalloc.o stralloc.a \
	alloc.a substdio.a error.a str.a fs.a  `cat dns.lib` `cat \
	socket.lib`

dnscname.o: \
compile dnscname.c substdio.h subfd.h substdio.h stralloc.h \
gen_alloc.h dns.h dnsdoe.h readwrite.h exit.h
	./compile dnscname.c

dnsdoe.o: \
compile dnsdoe.c substdio.h subfd.h substdio.h exit.h dns.h dnsdoe.h
	./compile dnsdoe.c

dnsfq: \
load dnsfq.o dns.o dnsdoe.o ip.o ipalloc.o stralloc.a alloc.a \
substdio.a error.a str.a fs.a dns.lib socket.lib
	./load dnsfq dns.o dnsdoe.o ip.o ipalloc.o stralloc.a \
	alloc.a substdio.a error.a str.a fs.a  `cat dns.lib` `cat \
	socket.lib`

dnsfq.o: \
compile dnsfq.c substdio.h subfd.h substdio.h stralloc.h gen_alloc.h \
dns.h dnsdoe.h ip.h ipalloc.h ip.h gen_alloc.h exit.h
	./compile dnsfq.c

dnsip: \
load dnsip.o dns.o dnsdoe.o ip.o ipalloc.o stralloc.a alloc.a \
substdio.a error.a str.a fs.a dns.lib socket.lib
	./load dnsip dns.o dnsdoe.o ip.o ipalloc.o stralloc.a \
	alloc.a substdio.a error.a str.a fs.a  `cat dns.lib` `cat \
	socket.lib`

dnsip.o: \
compile dnsip.c substdio.h subfd.h substdio.h stralloc.h gen_alloc.h \
dns.h dnsdoe.h ip.h ipalloc.h ip.h gen_alloc.h exit.h
	./compile dnsip.c

dnsmxip: \
load dnsmxip.o dns.o dnsdoe.o ip.o ipalloc.o now.o stralloc.a alloc.a \
substdio.a error.a str.a fs.a dns.lib socket.lib
	./load dnsmxip dns.o dnsdoe.o ip.o ipalloc.o now.o \
	stralloc.a alloc.a substdio.a error.a str.a fs.a  `cat \
	dns.lib` `cat socket.lib`

dnsmxip.o: \
compile dnsmxip.c substdio.h subfd.h substdio.h stralloc.h \
gen_alloc.h fmt.h dns.h dnsdoe.h ip.h ipalloc.h ip.h gen_alloc.h \
now.h datetime.h exit.h
	./compile dnsmxip.c

dnsptr: \
load dnsptr.o dns.o dnsdoe.o ip.o ipalloc.o stralloc.a alloc.a \
substdio.a error.a str.a fs.a dns.lib socket.lib
	./load dnsptr dns.o dnsdoe.o ip.o ipalloc.o stralloc.a \
	alloc.a substdio.a error.a str.a fs.a  `cat dns.lib` `cat \
	socket.lib`

dnsptr.o: \
compile dnsptr.c substdio.h subfd.h substdio.h stralloc.h gen_alloc.h \
str.h scan.h dns.h dnsdoe.h ip.h exit.h
	./compile dnsptr.c

dot-qmail.0: \
dot-qmail.5
	nroff -man dot-qmail.5 > dot-qmail.0

dot-qmail.5: \
dot-qmail.9 conf-break conf-spawn
	cat dot-qmail.9 \
	| sed s}QMAILHOME}"`head -1 conf-qmail`"}g \
	| sed s}BREAK}"`head -1 conf-break`"}g \
	| sed s}SPAWN}"`head -1 conf-spawn`"}g \
	> dot-qmail.5

elq: \
warn-auto.sh elq.sh conf-qmail conf-break conf-split
	cat warn-auto.sh elq.sh \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}BREAK}"`head -1 conf-break`"}g \
	| sed s}SPLIT}"`head -1 conf-split`"}g \
	> elq
	chmod 755 elq

env.a: \
makelib env.o envread.o
	./makelib env.a env.o envread.o

env.o: \
compile env.c str.h alloc.h env.h
	./compile env.c

envelopes.0: \
envelopes.5
	nroff -man envelopes.5 > envelopes.0

envread.o: \
compile envread.c env.h str.h
	./compile envread.c

error.a: \

## qmail 1.03-44noris1+10+1

=== contrib/checkpassword-0.90/Makefile ===
# Don't edit Makefile! Use conf-* for configuration.

SHELL=/bin/sh

default: it

alloc.o: \
compile alloc.c alloc.h error.h
	./compile alloc.c

alloc_re.o: \
compile alloc_re.c alloc.h byte.h
	./compile alloc_re.c

auto-str: \
load auto-str.o unix.a byte.a
	./load auto-str unix.a byte.a 

auto-str.o: \
compile auto-str.c buffer.h readwrite.h exit.h
	./compile auto-str.c

auto_home.c: \
auto-str conf-home
	./auto-str auto_home `head -1 conf-home` > auto_home.c

auto_home.o: \
compile auto_home.c
	./compile auto_home.c

buffer.o: \
compile buffer.c buffer.h
	./compile buffer.c

buffer_2.o: \
compile buffer_2.c readwrite.h buffer.h
	./compile buffer_2.c

buffer_copy.o: \
compile buffer_copy.c buffer.h
	./compile buffer_copy.c

buffer_get.o: \
compile buffer_get.c buffer.h byte.h error.h
	./compile buffer_get.c

buffer_put.o: \
compile buffer_put.c buffer.h str.h byte.h error.h
	./compile buffer_put.c

byte.a: \
makelib byte_copy.o byte_cr.o byte_diff.o str_chr.o str_len.o \
str_start.o
	./makelib byte.a byte_copy.o byte_cr.o byte_diff.o \
	str_chr.o str_len.o str_start.o

byte_copy.o: \
compile byte_copy.c byte.h
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h
	./compile byte_cr.c

byte_diff.o: \
compile byte_diff.c byte.h
	./compile byte_diff.c

check: \
it instcheck
	./instcheck

checkpassword: \
load checkpassword.o prot.o unix.a byte.a shadow.lib crypt.lib s.lib
	./load checkpassword prot.o unix.a byte.a  `cat \
	shadow.lib` `cat crypt.lib` `cat s.lib`

checkpassword.o: \
compile checkpassword.c error.h pathexec.h prot.h hasspnam.h \
hasuserpw.h
	./compile checkpassword.c

chkshsgr: \
load chkshsgr.o
	./load chkshsgr 

chkshsgr.o: \
compile chkshsgr.c exit.h
	./compile chkshsgr.c

choose: \
warn-auto.sh choose.sh conf-home
	cat warn-auto.sh choose.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> choose
	chmod 755 choose

compile: \
warn-auto.sh conf-cc systype print-cc.sh trycpp.c
	sh print-cc.sh > compile
	chmod 755 compile

crypt.lib: \
trycrypt.c compile load
	( ( ./compile trycrypt.c && \
	./load trycrypt -lcrypt ) >/dev/null 2>&1 \
	&& echo -lcrypt || exit 0 ) > crypt.lib
	rm -f trycrypt.o trycrypt

env.o: \
compile env.c str.h env.h
	./compile env.c

error.o: \
compile error.c error.h
	./compile error.c

error_str.o: \
compile error_str.c error.h
	./compile error_str.c

hasshsgr.h: \
choose compile load tryshsgr.c hasshsgr.h1 hasshsgr.h2 chkshsgr \
warn-shsgr
	./chkshsgr || ( cat warn-shsgr; exit 1 )
	./choose clr tryshsgr hasshsgr.h1 hasshsgr.h2 > hasshsgr.h

hasspnam.h: \
tryspnam.c compile load
	( ( ./compile tryspnam.c && ./load tryspnam ) >/dev/null \
	2>&1 \
	&& echo \#define HASGETSPNAM 1 || exit 0 ) > hasspnam.h
	rm -f tryspnam.o tryspnam

hasuserpw.h: \
tryuserpw.c s.lib compile load
	( ( ./compile tryuserpw.c \
	  && ./load tryuserpw `cat s.lib` ) >/dev/null 2>&1 \
	&& echo \#define HASGETUSERPW 1 || exit 0 ) > hasuserpw.h
	rm -f tryuserpw.o tryuserpw

hier.o: \
compile hier.c auto_home.h
	./compile hier.c

install: \
load install.o hier.o auto_home.o unix.a byte.a
	./load install hier.o auto_home.o unix.a byte.a 

install.o: \
compile install.c buffer.h strerr.h error.h open.h readwrite.h exit.h
	./compile install.c

instcheck: \
load instcheck.o hier.o auto_home.o unix.a byte.a
	./load instcheck hier.o auto_home.o unix.a byte.a 

instcheck.o: \
compile instcheck.c strerr.h error.h readwrite.h exit.h
	./compile instcheck.c

it: \
prog install instcheck

load: \
warn-auto.sh conf-ld
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo exec "`head -1 conf-ld`" \
	'-o "$$main" "$$main".o $${1+"$$@"}' \
	) > load
	chmod 755 load

makelib: \
warn-auto.sh systype
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo 'rm -f "$$main"'; \
	echo 'ar cr "$$main" $${1+"$$@"}'; \
	case "`cat systype`" in \
	sunos-5.*) ;; \
	unix_sv*) ;; \
	irix64-*) ;; \
	irix-*) ;; \
	dgux-*) ;; \
	hp-ux-*) ;; \
	sco*) ;; \
	*) echo 'ranlib "$$main"' ;; \
	esac \
	) > makelib
	chmod 755 makelib

open_read.o: \
compile open_read.c open.h
	./compile open_read.c

open_trunc.o: \
compile open_trunc.c open.h
	./compile open_trunc.c

pathexec_env.o: \
compile pathexec_env.c stralloc.h gen_alloc.h alloc.h str.h byte.h \
env.h pathexec.h
	./compile pathexec_env.c

pathexec_run.o: \
compile pathexec_run.c error.h stralloc.h gen_alloc.h str.h env.h \
pathexec.h
	./compile pathexec_run.c

prog: \
checkpassword

prot.o: \
compile prot.c hasshsgr.h prot.h
	./compile prot.c

s.lib: \
tryslib.c compile load
	( ( ./compile tryslib.c && \
	./load tryslib -ls ) >/dev/null 2>&1 \
	&& echo -ls || exit 0 ) > s.lib
	rm -f tryslib.o tryslib

setup: \
it install
	./install

shadow.lib: \
tryshadow.c compile load
	( ( ./compile tryshadow.c && \
	./load tryshadow -lshadow ) >/dev/null 2>&1 \
	&& echo -lshadow || exit 0 ) > shadow.lib
	rm -f tryshadow.o tryshadow

str_chr.o: \
compile str_chr.c str.h
	./compile str_chr.c

str_len.o: \
compile str_len.c str.h
	./compile str_len.c

str_start.o: \
compile str_start.c str.h
	./compile str_start.c

stralloc_cat.o: \
compile stralloc_cat.c byte.h stralloc.h gen_alloc.h
	./compile stralloc_cat.c

stralloc_catb.o: \
compile stralloc_catb.c stralloc.h gen_alloc.h byte.h
	./compile stralloc_catb.c

stralloc_cats.o: \
compile stralloc_cats.c byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_cats.c

stralloc_eady.o: \
compile stralloc_eady.c alloc.h stralloc.h gen_alloc.h \
gen_allocdefs.h
	./compile stralloc_eady.c

stralloc_opyb.o: \
compile stralloc_opyb.c stralloc.h gen_alloc.h byte.h
	./compile stralloc_opyb.c

stralloc_opys.o: \
compile stralloc_opys.c byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_opys.c

stralloc_pend.o: \
compile stralloc_pend.c alloc.h stralloc.h gen_alloc.h \
gen_allocdefs.h
	./compile stralloc_pend.c

strerr_die.o: \
compile strerr_die.c buffer.h exit.h strerr.h
	./compile strerr_die.c

strerr_sys.o: \
compile strerr_sys.c error.h strerr.h
	./compile strerr_sys.c

systype: \
find-systype.sh trycpp.c x86cpuid.c
	sh find-systype.sh > systype

unix.a: \
makelib alloc.o alloc_re.o buffer.o buffer_2.o buffer_copy.o \
buffer_get.o buffer_put.o env.o error.o error_str.o open_read.o \
open_trunc.o pathexec_env.o pathexec_run.o prot.o stralloc_cat.o \
stralloc_catb.o stralloc_cats.o stralloc_eady.o stralloc_opyb.o \
stralloc_opys.o stralloc_pend.o strerr_die.o strerr_sys.o
	./makelib unix.a alloc.o alloc_re.o buffer.o buffer_2.o \
	buffer_copy.o buffer_get.o buffer_put.o env.o error.o \
	error_str.o open_read.o open_trunc.o pathexec_env.o \
	pathexec_run.o prot.o stralloc_cat.o stralloc_catb.o \
	stralloc_cats.o stralloc_eady.o stralloc_opyb.o \
	stralloc_opys.o stralloc_pend.o strerr_die.o strerr_sys.o

clean:
	rm -rf rm auto-str checkpassword chkshsgr compile install instcheck load makelib *o *a checkpassword.0 systype auto_home.c choose crypt.lib hasshsgr.h hasspnam.h hasuserpw.h s.lib shadow.lib systype

=== debian/changelog ===
qmail (1.03-44noris1+10+1) jessie; urgency=medium

  * New Version

 -- Go Debian Build Agent <go-iaas-noreply@noris.de>  Thu, 17 Mar 2016 10:16:18 +0100

qmail (1.03-44noris1) unstable; urgency=low

  * Merged a whole bunch of stuff.

 -- Matthias Urlichs <smurf@noris.de>  Wed, 28 Nov 2007 14:38:12 +0100

qmail (1.03-44) unstable; urgency=low

  * One minor fix in the control file for autobuild compatibility

 -- Jon Marler <jmarler@debian.org>  Fri, 19 Jan 2007 07:53:39 -0600

qmail (1.03-43) unstable; urgency=low

  * Updated to Debian Policy Standards-Version 3.7.2
  * Fixed some non-essential errors in the control file
  * Removed old 1.02 transition code and usr/doc cleanup (Closes: #406990)

 -- Jon Marler <jmarler@debian.org>  Sun, 31 Dec 2006 02:47:14 -0600

qmail (1.03-42) unstable; urgency=low

  * Attempt #2 at fixing autobuild bug (Closes: #402331)

 -- Jon Marler <jmarler@debian.org>  Thu, 21 Dec 2006 16:54:58 -0600

qmail (1.03-41) unstable; urgency=low

  * Changed rules file to allow building -src on systems without qmail users
    (Closes: #402331)

 -- Jon Marler <jmarler@debian.org>  Sat, 16 Dec 2006 12:30:32 -0600

qmail (1.03-40) unstable; urgency=low

  * Disabled all debconf notes per Christian Perrier <bubulle@debian.org>
    Joey Hess <joeyh@debian.org>, and srivasta@debian.org (Closes: #388952)

 -- Jon Marler <jmarler@debian.org>  Wed, 27 Sep 2006 13:40:16 -0500

qmail (1.03-39) unstable; urgency=low

  * Added debconf-2.0 dependancy option

 -- Jon Marler <jmarler@debian.org>  Mon, 26 Sep 2005 13:29:40 -0500

qmail (1.03-38) unstable; urgency=high

  * Added ISO C patch taken from netqmil to fix 64-bit crashes (Closes: #309048)

 -- Jon Marler <jmarler@debian.org>  Sun, 15 May 2005 11:22:27 -0500

qmail (1.03-37) unstable; urgency=high

  * Updated qregex patch to 20040725 version
  * Added Build-Depends line (Closes: #302677)
  * Added pidfile settings to init file (Closes: #293484)
  * Applied 0.0.0.0 local patch (Closes: #226753)
  * Increased default ulimit to 16384 for x86_64 (Closes: #291437)
  * Applied localtime patch (Closes: #272072)
  * Fixed bug in qmail-procmail to allow arguments (Closes: #262906)
  * Updated postrm to remove /etc/qmail/users on purge (Closes: #272806)

 -- Jon Marler <jmarler@debian.org>  Thu,  5 May 2005 11:54:04 -0600

qmail (1.03-36) unstable; urgency=high

  * Fixed problem when building with apt-get source -b (Closes: #280677)

 -- Jon Marler <jmarler@debian.org>  Thu, 11 Nov 2004 13:03:39 -0600

qmail (1.03-35) unstable; urgency=high

  * Fixed debconf errors (Closes: #272248, #272164, #272797, #272804)
  * Added testing to release list

 -- Jon Marler <jmarler@debian.org>  Thu, 28 Oct 2004 11:15:19 -0500

qmail (1.03-34) unstable; urgency=low

  * Moved logcheck ignore file to docs directory (Closes: #271118)
  * File is already included in logcheck-database which seems more logical

 -- Jon Marler <jmarler@debian.org>  Mon, 13 Sep 2004 06:50:39 -0500

qmail (1.03-33) unstable; urgency=low

  * Added -R -H to example POP3 server call (Closes: #269119)
  * Added sample logcheck ignore files (Closes: #266143)
  * Fixed hang bug in postinst (Closes: #266010)

 -- Jon Marler <jmarler@debian.org>  Tue, 31 Aug 2004 16:36:51 -0500

qmail (1.03-32) unstable; urgency=low

  * Initial debconf implementation
    - Please file bug reports for questions i missed
  * Removed reference to bmtpatch. (Closes: #246574)
  * Leaving bmtpatch in -src pacakge as many users still use it
  * Applied latest qregex patch (Closes: #246408)

 -- Jon Marler <jmarler@debian.org>  Tue, 13 Jul 2004 10:24:49 -0500

qmail (1.03-31) unstable; urgency=low

  * Added dependancy on perl-modules (Closes: #233015)

 -- Jon Marler <jmarler@debian.org>  Tue, 17 Feb 2004 13:03:08 -0600

qmail (1.03-30) unstable; urgency=high

  * Added patch from Scott Gifford to correct qmail-smtpd crash

 -- Jon Marler <jmarler@debian.org>  Tue, 20 Jan 2004 11:57:18 -0600

qmail (1.03-29) unstable; urgency=low

  * Added patch to resolve new glibc errors (Closes: #218564, #219872)
  * Added patch to fix errno declaration errors (Closes: #219872)
  * Remove strict barewords from preinst (Closes: #215152)
  * Fixed minor type in build-qmail (Closes: #213415)
  * Added patch to make qmail-local behave better (Closes: #95353)

 -- Jon Marler <jmarler@debian.org>  Thu, 13 Nov 2003 17:13:33 -0600

qmail (1.03-28) unstable; urgency=low

  * Fixed logging in init to handle rblsmtpd (Closes: #192116)
  * Added ability to override qmail installation check (Closes: #187452)
  * Changed groff dependancy to groff-base (Closes: #181021)
  * Removed rm -rf /etc/qmail command in postrm (Closes: #179637)
  * Added list of pre-applied patches in build script before binary build

 -- Jon Marler <jmarler@debian.org>  Thu, 25 Sep 2003 16:48:34 -0500

qmail (1.03-27) unstable; urgency=low

  * Added stat to usage list (Closes: #179831)

 -- Jon Marler <jmarler@debian.org>  Tue,  4 Feb 2003 16:16:41 -0600

qmail (1.03-26) unstable; urgency=low

  * Added -isp flag to dpkg-gencontrol (Closes: #179609)
  * Removed emacs settings from changelog

 -- Jon Marler <jmarler@debian.org>  Mon,  3 Feb 2003 09:56:19 -0600

qmail (1.03-25) unstable; urgency=low

  * Applied patch from thunder7@xs4all.nl for libc6 (Closes: #174408)
  * Fixed typo in postinst (Closes: #134011)
  * Added warning in build script regarding tmpfs (Closes: #155024)
  * Removed extra -f from postinst (Closes: #155573)
  * Updated init.d script (Closes: #128638)

 -- Jon Marler <jmarler@debian.org>  Thu, 20 Jan 2003 02:56:56 -0600

qmail (1.03-24) testing unstable; urgency=low

  * Added libc6-dev back into the Depends line

 -- Jon Marler <jmarler@debian.org>  Mon, 18 Mar 2002 21:19:14 -0600

qmail (1.03-23) testing unstable; urgency=low

  * Fixed section of -src and binary .deb files (Closes: #125698)
  * Updated checkpassword to .90 (Closes: #126686)

 -- Jon Marler <jmarler@debian.org>  Fri, 28 Dec 2001 11:28:34 -0600



=== debian/rules ===
#!/usr/bin/make -f 
#
# Copyright (C) 1998 Software in the Public Interest <www.debian.org>

PACKAGE	  = $(shell perl -e 'print <> =~ /(\S*)\s/' debian/changelog)
PKG_VER	  = $(shell perl -e 'print <> =~ /\((.*)\)/' debian/changelog)
PKG_UPVER = $(shell perl -e 'print <> =~ /\((.*)-[^-]*\)/' debian/changelog)
INSTALL   = '/usr/bin/install'

build:	build-stamp
build-stamp: checkdir checkusers
	if fgrep QMAIL/bin *.sh >/dev/null; then \
	    echo >&2 "You must run debian/debianize-source-tree first!"; \
	    exit 1; \
	fi
	$(MAKE) -C contrib/checkpassword-0.90/
	$(MAKE) man
	$(MAKE)
	# check that the local user ID's match the standard ones
	# This has been removed.  This is because I have been forced to
	# change the qmail uid's & gid's
	#@diff -u debian/debian-default_uids.c auto_uids.c || ( echo -e "\nError:\n Your system has user/group ids that differ from the debian default.\n Please rectify this.  The easiest way to do this is normally to cut&paste\n the qmail sections from /etc/passwd.dpkg-dist and /etc/group.dpkg-dist,\n into /etc/passwd and /etc/group respectively (relpacing the old values).\n" ; exit 1 )
	touch build-stamp

clean:	checkdir
	-rm -f build
	-$(MAKE) clean
	-$(MAKE) clean -C contrib/checkpassword-0.90/
	find . -name "*~" -print0 | xargs -0 -r rm -f
	-rm -rf debian/files*
	find debian/* -type d -prune -print0 | xargs -0r rm -rf
	find . \( -name '#*#' -o -name '*~' -o -name DEADJOE -o -name '*.orig' -o -name '*.rej' -o -name '*.bak' -o -name '.*.orig' -o -name '.*.rej' -o -name .SUMS -o -name TAGS -o -name core \) -print0 | xargs -0r rm -f

binary-indep: checkroot build
	#nothing to be done

binary-arch: checkroot checkusers build 
	-rm -rf debian/substvars debian/tmp
# Make the directory tree and copy qmail files.
	$(INSTALL) -d debian/tmp/DEBIAN \
		debian/tmp/etc/init.d \
		debian/tmp/usr/share/doc/qmail \
		debian/tmp/usr/share/doc/qmail/examples \
		debian/tmp/var/qmail \
		debian/tmp/etc/qmail \
		debian/tmp/var/spool \
		debian/tmp/var/lib \
		debian/tmp/var/lib/qmail \
		debian/tmp/usr/bin \
		debian/tmp/usr/sbin \
		debian/tmp/usr/lib \
		debian/tmp/usr/lib/qmail
	#./qmail-hier | ./install debian/tmp/var/qmail
	./auto-str auto_qmail debian/tmp/var/qmail > auto_qmail.c
	rm -f install
	$(MAKE) install
	./install
	mv debian/tmp/var/qmail/queue debian/tmp/var/spool/qmail
	#mv debian/tmp/var/qmail/control/* debian/tmp/etc/qmail
	mv debian/tmp/var/qmail/alias debian/tmp/var/lib/qmail
	mv debian/tmp/var/qmail/users debian/tmp/etc/qmail
	echo localhost > debian/tmp/etc/qmail/rcpthosts
	mv debian/tmp/var/qmail/doc/* debian/tmp/usr/share/doc/qmail
	mv debian/tmp/var/qmail/boot debian/tmp/usr/share/doc/qmail/examples
	rmdir debian/tmp/var/qmail/doc
	rmdir debian/tmp/var/qmail/control
	(cd debian/tmp/var/qmail && ln -s /var/spool/qmail queue)
	(cd debian/tmp/var/qmail && ln -s /etc/qmail control)
	(cd debian/tmp/var/qmail && ln -s /usr/share/doc/qmail doc)
	(cd debian/tmp/var/qmail && ln -s /usr/share/doc/qmail/examples/boot boot)
	(cd debian/tmp/var/qmail && ln -s /var/lib/qmail/alias alias)
	(cd debian/tmp/var/qmail && ln -s /etc/qmail/users users)
	mv debian/tmp/var/qmail/man debian/tmp/usr/man && \
		rm -r debian/tmp/usr/man/cat?
# Move /var/qmail/bin programs to either /usr/bin or /usr/sbin
	bash debian/debianize-binary-tree
# Install checkpassword in /usr/bin
	$(INSTALL) -o root -g root -m 755 contrib/checkpassword-0.90/checkpassword debian/tmp/usr/bin
# Install checkpassword manpage
	$(INSTALL) -o root -g root -m 644 contrib/checkpassword-0.90/checkpassword.8 debian/tmp/usr/man/man8
# Install mbox2maildir in /usr/bin
	#$(INSTALL) -o root -g root -m 755 contrib/mbox2maildir/mbox2maildir debian/tmp/usr/bin
# Create /usr/lib/sendmail symlink for backward compatibility.
	ln -s ../sbin/sendmail debian/tmp/usr/lib/sendmail
# Copy qmailconfig and its helper programs...
	$(INSTALL) -o root -g root -m 755 dnsfq debian/tmp/usr/lib/qmail/qmailconfig-dnsfq
	$(INSTALL) -o root -g root -m 755 dnsip debian/tmp/usr/lib/qmail/qmailconfig-dnsip
	$(INSTALL) -o root -g root -m 755 ipmeprint debian/tmp/usr/lib/qmail/qmailconfig-ipmeprint
	$(INSTALL) -o root -g root -m 755 dnsptr debian/tmp/usr/lib/qmail/qmailconfig-dnsptr
# install qmail-procmail script
	$(INSTALL) -o root -g root -m 755 debian/qmail-procmail debian/tmp/usr/sbin/qmail-procmail
# install newaliases script
	$(INSTALL) -o root -g root -m 755 debian/newaliases debian/tmp/usr/bin/newaliases
# install eliminate-dups script
	$(INSTALL) -o root -g root -m 755 debian/eliminate-dups debian/tmp/usr/lib/qmail/eliminate-dups
# install default users/assign
	$(INSTALL) -o root -g root -m 644 debian/assign debian/tmp/etc/qmail/users
# (This one is a bit of a kludge...)
	sed -e 's|./hostname|hostname|g' \
	    -e 's|\./dnsptr|/usr/lib/qmail/qmailconfig-dnsptr|g' \
	    -e 's|\./dnsip|/usr/lib/qmail/qmailconfig-dnsip|g' \
	    -e 's|\./dnsfq|/usr/lib/qmail/qmailconfig-dnsfq|g' \
	    -e 's|\./ipmeprint|/usr/lib/qmail/qmailconfig-ipmeprint|g' \
		config >debian/tmp/usr/lib/qmail/qmailconfig
	chmod 755 debian/tmp/usr/lib/qmail/qmailconfig
# Install /etc/init.d/qmail
	$(INSTALL) -o root -g root -m 755 debian/init.d debian/tmp/etc/init.d/qmail
# install tcpserver conf file
	$(INSTALL) -o root -g root -m 644 debian/tcp.smtp debian/tmp/etc

# Copy /usr/share/doc/qmail files.
	$(INSTALL) -o root -g root -m 644 debian/changelog debian/tmp/usr/share/doc/qmail/changelog.Debian
	$(INSTALL) -m 644 -p BLURB* FAQ INTERNALS README* PIC.* \
		SECURITY SENDMAIL SYSDEPS THANKS THOUGHTS TODO UPGRADE \
		BIN* REMOVE* TEST* VERSION CHANGES \
		debian/tmp/usr/share/doc/qmail/
	$(INSTALL) -m 644 -p debian/README.debian debian/tmp/usr/share/doc/qmail/README.Debian
	$(INSTALL) -m 644 -p debian/TODO debian/tmp/usr/share/doc/qmail/TODO.Debian
	
	$(INSTALL) -m 644 -p debian/ip-up.d debian/tmp/usr/share/doc/qmail/examples/ip-up.d
	$(INSTALL) -m 644 -p debian/logcheck debian/tmp/usr/share/doc/qmail/examples/logcheck.ignore
	
	$(INSTALL) -p -m644 debian/changelog debian/tmp/usr/share/doc/qmail/changelog.Debian
	$(INSTALL) -p -m644 CHANGES debian/tmp/usr/share/doc/qmail/changelog
	-strip --remove-section=comment --remove-section=note \
		debian/tmp/usr/bin/* debian/tmp/usr/sbin/* \
		debian/tmp/usr/lib/*                        2>/dev/null
	-gzip -fr debian/tmp/usr/share/doc/ debian/tmp/usr/man/
	$(INSTALL) -m 644 -p debian/copyright debian/tmp/usr/share/doc/qmail/copyright
# Correct permissions of binaries and manpages...
	chmod go+rx debian/tmp/usr/*bin/*
	#chown -R root.root debian/tmp/usr/man
	$(INSTALL) -p -m755 debian/postinst debian/preinst \
			debian/prerm debian/postrm        debian/tmp/DEBIAN
	$(INSTALL) -o root -g root -m 644 -p debian/conffiles debian/tmp/DEBIAN/conffiles

	# Install debconf stuff
	cp debian/qmail.config debian/tmp/DEBIAN/config
	cp debian/qmail.templates debian/tmp/DEBIAN/templates
	chmod 755 debian/tmp/DEBIAN/config debian/tmp/DEBIAN/templates
	chmod u+x debian/*config

	## Install logcheck files
	#$(INSTALL) -o root -g root -d debian/tmp/etc/logcheck/ignore.d.server
	#$(INSTALL) -m 600 debian/logcheck debian/tmp/etc/logcheck/ignore.d.server/qmail

	(cd debian/tmp/var/qmail && ln -s /usr/sbin bin)
	dpkg-shlibdeps -Tdebian/substvars debian/tmp/usr/lib/qmail/* debian/tmp/usr/sbin/* debian/tmp/usr/bin/*
	dpkg-gencontrol -isp -pqmail -cdebian/control
# And finally, build the Debian package!
	dpkg --build debian/tmp ..

binary:	binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkdir:
	@test -f qmail.c -a -f debian/rules

checkroot:	checkdir
	@test "`whoami`" = root

checkusers:
	@if ! grep -q '^qmaild:' /etc/passwd ; then echo "You need to create the qmail users. Run debian/gen_users as root." >&2; exit 1; fi

.PHONY: binary binary-arch binary-indep clean checkroot checkusers

## qmail 1.03-44noris1+19+1

=== debian/changelog ===
qmail (1.03-44noris1+19+1) jessie; urgency=medium

  * New Version

 -- Go Debian Build Agent <go-iaas-noreply@noris.de>  Mon, 21 Mar 2016 09:54:18 +0100

=== debian/control ===
Source: qmail
Maintainer: Matthias Urlichs <smurf@noris.de>
Section: non-free/mail
Priority: extra
Build-Depends: dpkg-dev (>= 1.4.0.20), patch (>= 2.5-0bo1), gcc, make, groff-base, adduser
Standards-Version: 3.7.2

Package: qmail
Priority: extra
Section: non-free/mail
Architecture: any
Depends: ${shlibs:Depends}, netbase, procmail, ucspi-tcp, perl-modules
Provides: mail-transport-agent, mail-transfer-agent
Conflicts: mail-transport-agent, qmail-run, qmail-uids-gids
Suggests: mutt | mail-reader
Description: Broken email system
 This qmail package consists of a large heap of semi-broken patches.
 Try not to use it for anything, please.

## qmail util-0.0.9

=== requirements.txt ===
click<8.0.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = qmail_util
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
